Package org.eclipse.emf.spi.cdo

# Interface InternalCDOViewSet

All Superinterfaces:
  `Adapter`, `CDOViewSet`, `org.eclipse.net4j.util.container.IContainer<CDOView>`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.event.INotifier`, `Notifier`

public interface InternalCDOViewSet extends CDOViewSet, Adapter, org.eclipse.net4j.util.concurrent.IExecutorServiceProvider
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewSet

`CDOViewSet.CDOViewSetException`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewSet

`REGISTRY`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(InternalCDOView view)`
`<V> V`
`executeWithoutNotificationHandling(Callable<V> callable)`
`void`
`remapView(InternalCDOView view)`
`void`
`remove(InternalCDOView view)`
`InternalCDOView`
`resolveView(String repositoryUUID)`
Deprecated.
`InternalCDOView`
`resolveView(URI viewURI)`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewSet

`getDefaultClearAdapterPolicy, getID, getPackageRegistry, getResourceFactory, getResourceSet, getViews, setDefaultClearAdapterPolicy`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

`getExecutorService`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### add

void add(InternalCDOView view)

### remove

void remove(InternalCDOView view)

### remapView

void remapView(InternalCDOView view)

Since:
  4.5

### resolveView

InternalCDOView resolveView(URI viewURI)

Specified by:
  `resolveView` in interface `CDOViewSet`
Since:
  4.4

### resolveView

@Deprecated InternalCDOView resolveView(String repositoryUUID)
Deprecated.

Specified by:
  `resolveView` in interface `CDOViewSet`

### executeWithoutNotificationHandling

<V> V executeWithoutNotificationHandling(Callable<V> callable)

Since:
  4.1